cURL
curl --request POST \
--url https://{host}/api/sendSeen \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"chatId": "5511999999999@c.us",
"session": "my-session",
"messageIds": [
"false_11111111111@c.us_AAAAAAAAAAAAAAAAAAAA"
],
"participant": "5511999999999@c.us"
}
'import requests
url = "https://{host}/api/sendSeen"
payload = {
"chatId": "5511999999999@c.us",
"session": "my-session",
"messageIds": ["false_11111111111@c.us_AAAAAAAAAAAAAAAAAAAA"],
"participant": "5511999999999@c.us"
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chatId: '5511999999999@c.us',
session: 'my-session',
messageIds: ['false_11111111111@c.us_AAAAAAAAAAAAAAAAAAAA'],
participant: '5511999999999@c.us'
})
};
fetch('https://{host}/api/sendSeen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}
Mensagens
Marcar como Visto
Marcar mensagens como vistas (lidas)
POST
/
api
/
sendSeen
cURL
Descrição
Este endpoint permite marcar uma ou mais mensagens como vistas (lidas), enviando as confirmações de leitura (checkmarks azuis) para o remetente. Útil para automações que precisam confirmar a leitura de mensagens recebidas.Body
{
"sessionId": "my-session",
"jid": "5511999999999@s.whatsapp.net",
"messageIds": [
"3EB0XXXXXX"
]
}
Parâmetros do Body
| Propriedade | Tipo | Obrigatório | Descrição |
|---|---|---|---|
sessionId | string | ✅ Sim | ID da sessão autenticada que marcará as mensagens |
jid | string | ✅ Sim | Identificador do chat (JID do WhatsApp). Formato: 5511999999999@s.whatsapp.net para contatos ou 120363XXXXX@g.us para grupos |
messageIds | array | ✅ Sim | Array de IDs das mensagens a serem marcadas como vistas |
{
"success": true
}
Códigos de Status
200- Mensagens marcadas como vistas com sucesso400- Parâmetros inválidos401- Sessão não autorizada404- Sessão não encontrada
Exemplo de Uso
curl -X POST https://api.wappfy.com.br/api/sendSeen \
-H "Content-Type: application/json" \
-d '{
"sessionId": "my-session",
"jid": "5511999999999@s.whatsapp.net",
"messageIds": ["3EB0XXXXXX", "3EB0YYYYYY"]
}'
const response = await fetch('https://api.wappfy.com.br/api/sendSeen', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
sessionId: 'my-session',
jid: '5511999999999@s.whatsapp.net',
messageIds: ['3EB0XXXXXX', '3EB0YYYYYY']
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.wappfy.com.br/api/sendSeen',
json={
'sessionId': 'my-session',
'jid': '5511999999999@s.whatsapp.net',
'messageIds': ['3EB0XXXXXX', '3EB0YYYYYY']
}
)
data = response.json()
print(data)
Authorizations
Sua chave de API do Wappfy (obtenha em dash.wappfy.com.br)
Body
application/json
Example:
"5511999999999@c.us"
Nome da sessão (instanceName)
Example:
"my-session"
Example:
[
"false_11111111111@c.us_AAAAAAAAAAAAAAAAAAAA"
]
NOWEB engine only - the ID of the user that sent the message
Example:
"5511999999999@c.us"
Response
201 - application/json
The response is of type object.
⌘I
